cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/gift_certificates/gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.gift_certificates.get_gift_certificate(
"gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.giftCertificates.getGiftCertificate('gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->giftCertificates->getGiftCertificate('gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.gift_certificates.gift_certificates_dto.GiftCertificatesDto.GiftCertificate;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<GiftCertificate> response = client.giftCertificates().getGiftCertificate(
"gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.GiftCertificates.GetGiftCertificateAsync("gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.giftCertificates.getGiftCertificate(
'gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.GiftCertificates().GetGiftCertificate(context.Background(), "gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f", nil, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"gift_certificate": {
"accounting_code": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"activity_logs": [
{
"activity": "<string>"
}
],
"allocations": [
{
"account": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"created_by": "<unknown>",
"created_on": "<string>",
"date": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"object": "<string>",
"status": "<string>",
"type": "<string>",
"version": 123
}
],
"amount": "<string>",
"code": "<string>",
"created_by": "<unknown>",
"created_on": "<string>",
"currency": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"expiry_date": "<string>",
"href": "<string>",
"id": "<string>",
"issue_date": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"linked_item": "<unknown>",
"object": "<string>",
"remaining_balance": "<string>",
"status": "<string>",
"transactions": [
{
"accounting_code": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"amount": "<string>",
"created_by": "<unknown>",
"created_on": "<string>",
"currency": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"date": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"object": "<string>",
"reference": "<unknown>",
"status": "<string>",
"type": "<string>",
"version": 123
}
],
"used_amount": "<string>",
"version": 123
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Gift certificates
Retrieve a gift certificate
Returns one gift certificate, under gift_certificate.
GET
/
gift_certificates
/
{gc_id}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/gift_certificates/gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.gift_certificates.get_gift_certificate(
"gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.giftCertificates.getGiftCertificate('gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->giftCertificates->getGiftCertificate('gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.gift_certificates.gift_certificates_dto.GiftCertificatesDto.GiftCertificate;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<GiftCertificate> response = client.giftCertificates().getGiftCertificate(
"gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.GiftCertificates.GetGiftCertificateAsync("gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.giftCertificates.getGiftCertificate(
'gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.GiftCertificates().GetGiftCertificate(context.Background(), "gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f", nil, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"gift_certificate": {
"accounting_code": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"activity_logs": [
{
"activity": "<string>"
}
],
"allocations": [
{
"account": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"created_by": "<unknown>",
"created_on": "<string>",
"date": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"object": "<string>",
"status": "<string>",
"type": "<string>",
"version": 123
}
],
"amount": "<string>",
"code": "<string>",
"created_by": "<unknown>",
"created_on": "<string>",
"currency": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"expiry_date": "<string>",
"href": "<string>",
"id": "<string>",
"issue_date": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"linked_item": "<unknown>",
"object": "<string>",
"remaining_balance": "<string>",
"status": "<string>",
"transactions": [
{
"accounting_code": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"amount": "<string>",
"created_by": "<unknown>",
"created_on": "<string>",
"currency": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"date": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"object": "<string>",
"reference": "<unknown>",
"status": "<string>",
"type": "<string>",
"version": 123
}
],
"used_amount": "<string>",
"version": 123
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Pass the certificate’s
id. The response holds its code, amount, remaining_balance, used_amount, status, and its allocations and transactions.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.